# frozen_string_literal: true

require "simplecov"
SimpleCov.start do
  add_filter "/spec/"
end

require "bundler/setup"

Bundler.require(:default, :test)
Dir["./spec/support/**/*.rb"].each { |file| require file }

RSpec.configure do |config|
  config.include TractorBeamTestHelpers

  config.before(:all) do
    create_tmp_directory
  end

  config.expect_with :rspec do |c|
    c.syntax = :expect
  end
end
