# frozen_string_literal: true

$LOAD_PATH.push File.expand_path("../lib", __FILE__)
require "tractor_beam/version"
require "date"

Gem::Specification.new do |spec|
  spec.required_ruby_version = ">= #{TractorBeam::RUBY_VERSION}"
  spec.required_rubygems_version = ">= 2.7.3"
  spec.authors = ["Gabriel Gizotti"]
  spec.email = ["gabriel@gizotti.com"]
  spec.date = Date.today.strftime("%Y-%m-%d")
  spec.name = "tractor_beam"
  spec.version = TractorBeam::VERSION

  spec.description = <<-HERE
Tractor Beam is a base Rails project with all the modern javascript goodness
described by https://evilmartians.com/chronicles/evil-front-part-1.
Use it to get your rails app up and running with webpacker and a component
based infrastructure for your frontend.
HERE

  spec.summary = "Generate a Rails app using modern javascript tooling."
  spec.homepage = "https://github.com/gizotti/tractor_beam"
  spec.license = "MIT"
  spec.files = `git ls-files`.split("\n")
  spec.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")

  spec.executables   = ["tractor_beam"]
  spec.require_paths = ["lib"]

  spec.add_dependency "rails", TractorBeam::RAILS_VERSION

  spec.add_development_dependency "rspec", "~> 3.2"
  spec.add_development_dependency "rubocop", "0.52.1"
  spec.add_development_dependency "rubocop-rspec", "1.22.0"
  spec.add_development_dependency "simplecov", "~> 0.12.0"
end
